in reply to Re: problems updating CPAN via CPAN
in thread problems updating CPAN via CPAN

Hi, i'm not in a hurry, i wont to fix it. Unfortunately i don't have a local CPAN mirror. Is there a need to have one ? Today you are normally always and everywhere online. I'm running cpan as root. Bernd

Replies are listed 'Best First'.
Re^3: problems updating CPAN via CPAN
by u65 (Chaplain) on Jan 25, 2016 at 16:42 UTC

    If you were root when you removed ~/.cpan you should have been asked a series of questions when you tried to install cPAN again. One question should have been to choose one or more URLs for CPAN source. Get a list of mirrors and status here http://mirrors.cpan.org/.

    If the ~/.cpan directory now exists, then check the URLs in file ~/.cpan/CPAN/MyConfig.pm and make sure there is one or more valid CPAN sites there.

      Hi, i deleted the whole .cpan folder in my home (i'm root), and configured cpan again. Most of the questions i answered automatically, but i configured the urllist manually. I choosed only mirrors in germany (where i reside), and checked them against http://mirrors.cpan.org/. I just choosed those which seem to be stable and recent. But trying to install a newer version of CPAN fails again. With the same errors. E.g. i get again:

      # Reading '/root/.cpan/build/CPAN-2.10-U90C7G/t/CPAN/modules/02package +s.details.txt' # Database was generated on Tue, 03 Feb 1970 03:17:06 GMT # Warning: This index file is 16794 days old. # Please check the host you chose as your CPAN mirror for staleness. # I'll continue but problems seem likely to happen.

      Is this severe ? Although i tried it three times from different mirrors, i always got this error. Inside the mentioned file is:

      Written-By: Id: mldistwatch 697 1970-01-18 07:33:13Z k Line-Count: 19 Last-Updated: Tue, 03 Feb 1970 03:17:06 GMT

      Also i got again:

      # Failed test 'cmd[force test CPAN::Test::Dummy::Perl5::Make]' # at t/31sessions.t line 560.

      Several times per attempt. Any ideas ? Bernd

        Bernd, what version of Perl are you running?